<?php
/*
Description: Option page
Features:
	- select theme
	- background mask
Author: David Hohl
Author URI: http://www.fishme.de
Version: 
0.9.1 
	- add theme selection
	- add background mask
	- add load external page
	- add basic animations
*/

// all settings
$overlay_theme = array(
		'transparent'		=> 'default value - transparent', // default form jquery Tools
		'gray'				=> 'gray',		// default form jquery Tools
		'petrol'			=> 'petrol',	// default from jquery Tools
		'orange'			=> 'orange', 	// from fishme.de
		'darkred'			=> 'darkred',	// from fishme.de
		'gradientorange'	=> 'gradient orange',	// from fishme.de
	);
// progress - save
function overlay_get_js_value($v) {
	if($v==1) return 'true';
	
	if(!$v) return 'false';	
	
	return $v;
}
if ($_POST['overlay-settings-save']) {
    update_option('overlay_theme', $_POST['overlay_theme']);
    update_option('overlay_width', $_POST['overlay_width']);
    update_option('overlay_height', $_POST['overlay_height']);
    update_option('overlay_image_auto_resize', $_POST['overlay_image_auto_resize']);
    update_option('overlay_external_page', $_POST['overlay_external_page']);
    update_option('overlay_animation', serialize($_POST['overlay_animation']));

	// get default Overlay JS Template
	ob_start();
	include_once(WP_PLUGIN_DIR . '/overlay/overlay_js_template.php');
	$overlay_js_template = ob_get_contents();
	ob_end_clean();
	
	if($animation_default_settings = get_option('overlay_default_animation')) {
		if(!is_array($animation_default_settings)) 
			$animation_default_settings = unserialize($animation_default_settings);
	}
	
	$js_options .= "effect: 'apple'";
	// add animation effects (options)
	if($_POST['overlay_animation']['closeonEsc']) {
		$js_options .= ', closeOnEsc: true';
	} else {
		$js_options .= ', closeOnEsc: '. overlay_get_js_value($animation_default_settings['closeonEsc']);
	}
	
	if($_POST['overlay_animation']['closeonClick']) {
		$js_options .= ', closeOnClick: true';
	} else {
		$js_options .= ', closeOnClick: '. overlay_get_js_value($animation_default_settings['closeonClick']);
	}
	
	if($_POST['overlay_animation']['load']) {
		$js_options .= ', load: true';
	} else {
		$js_options .= ', load: '. overlay_get_js_value($animation_default_settings['load']);
	}

	if($_POST['overlay_animation']['fixed']) {
		$js_options .= ', fixed: true';
	} else {
		$js_options .= ', fixed: '. overlay_get_js_value($animation_default_settings['fixed']);
	}
	
	if($_POST['overlay_animation']['speed']) {
		if(is_numeric($animation_default_settings['speed'])) {
			$js_options .= ", speed: ".  $_POST['overlay_animation']['speed'];
		} else {
			$js_options .= ", speed: '".  $_POST['overlay_animation']['speed'] ."'";	
		}
	} else {
		$js_options .= ", speed: '". $animation_default_settings['speed'] ."'";
	}		
	
	if($_POST['overlay_animation']['top']) {
		$js_options .= ", top: '".  $_POST['overlay_animation']['top'] ."'";
	} else {
		$js_options .= ", top: '". $animation_default_settings['top'] ."'";
	}
	
	if($_POST['overlay_animation']['mask_state'] && $_POST['overlay_animation']['mask']) {
		$js_options .= ", mask: '".  $_POST['overlay_animation']['mask'] ."'";
	} 	
	
	if($_POST['overlay_width']) {
		$overlay_js_template = str_replace('##WIDTH##', str_replace('%','',str_replace('px','',$_POST['overlay_width'])),$overlay_js_template);
	}
	
	if($_POST['overlay_height']) {
		$overlay_js_template = str_replace('##HEIGHT##', str_replace('%','',str_replace('px','',$_POST['overlay_height'])),$overlay_js_template);
	}
	if($_POST['overlay_image_auto_resize']) {
		$overlay_js_template = str_replace('##IMAGE_AUTO_RESIZE##', '',$overlay_js_template);
	} else {
		$overlay_js_template = str_replace('##IMAGE_AUTO_RESIZE##', '//',$overlay_js_template);
	}
	
	// rewrite overlay JS Loader
	$overlay_js_template = str_replace('##OPTIONS##', '{' . $js_options . '}', $overlay_js_template);
	$overlayJS = WP_PLUGIN_DIR . "/overlay/js/overlay.js";
	if(file_exists($overlayJS)) {
		$fh = fopen($overlayJS, 'w');
		fwrite($fh, $overlay_js_template);
		fclose($fh);	
	} else {
		echo '<b>File does not exists: ' . $overlayJS . '</b>';
	}
	
	// get default Overlay CSS Template
	ob_start();
	include_once(WP_PLUGIN_DIR . '/overlay/overlay_css_template.php');
	$overlay_css_template = ob_get_contents();
	ob_end_clean();
	
	
	if($_POST['overlay_width']) {
		$overlay_css_template = str_replace('##WIDTH##', str_replace('%','',str_replace('px','',$_POST['overlay_width'])),$overlay_css_template);
	}
	
	if($_POST['overlay_theme']) {
		$overlay_css_template = str_replace('##THEME##', $_POST['overlay_theme'],$overlay_css_template);
	}
	
	// rewrite overlay CSS
	$overlayCSS = WP_PLUGIN_DIR . "/overlay/styles/overlay.css";
	if(file_exists($overlayCSS)) {
		$fh = fopen($overlayCSS, 'w');
		fwrite($fh, $overlay_css_template);
		fclose($fh);	
	} else {
		echo '<b>File does not exists: ' . $overlayCSS . '</b>';
	}
	
	echo '<div id="message" class="updated below-h2"><p>Save was successfully!</p></div>';
}


?>
<div class="wrap">
	<h2>Global Settings Overlay Settings</h2>
	<form action="" method="post" name="overlay-globalsettings">
		<h3>Theme Settings</h3>
		<table class="form-table">
			<tbody>
				<tr valign="top">
					<th scope="row">Theme</th>
					<td>
						<select name="overlay_theme">
							<?php
							$currentTheme = get_option('overlay_theme');
							foreach($overlay_theme as $key => $value) {
								?>
								<option value="<?php echo $key; ?>" <?php if($key == $currentTheme) echo ' selected'; ?>><?php echo $value; ?></option>
								<?php
							}
							?>
						</select>
					</td>
				</tr>
				<tr valign="top">
					<th scope="row">image Autoresize</th>
					<td>
						<input type="checkbox" name="overlay_image_auto_resize" value="1" <?php  if(get_option('overlay_image_auto_resize') == 1) echo 'checked';?>  />
					</td>
				</tr>
				<tr valign="top">
					<th scope="row">fixed Width</th>
					<td>
						<input type="text" name="overlay_width" value="<? echo get_option('overlay_width'); ?>" />
						<p>max. image width (please fill out!) default 460</p>
					</td>
				</tr>
				<tr valign="top">
					<th scope="row">fixed Height</th>
					<td>
						<input type="text" name="overlay_height" value="<? echo get_option('overlay_height'); ?>" />
						<p>max. image height</p>
					</td>
				</tr>				
			</tbody>
		</table>
		<h3>Animation Settings</h3>
		<?
		if($animation_settings = get_option('overlay_animation')) {
			if(!is_array($animation_settings)) 
				$animation_settings = unserialize($animation_settings);
		}
		?>
		<table class="form-table">
			<tbody>
				<tr valign="top">
					<th scope="row">Mask Layer State</th>
					<td>
						<input type="checkbox" name="overlay_animation[mask_state]" value="1" <?php if($animation_settings['mask_state'] == 1) echo 'checked';?> />
					</td>
				</tr>
				<tr valign="top">
					<th scope="row">Mask Layer Color</th>
					<td>
						<input type="text" name="overlay_animation[mask]" value="<? echo $animation_settings['mask']; ?>" />
						<p>ex.: #000000 or black ... (RGB values (HEX) or default webcolors)<br>
							for more information have a look on <a href="http://en.wikipedia.org/wiki/List_of_colors" target="_blank">Wikipedia</a>
						</p>
					</td>
				</tr>
				<tr valign="top">
					<th scope="row">close on Esc</th>
					<td><input type="checkbox" name="overlay_animation[closeonEsc]" value="1" <?php if($animation_settings['closeonEsc'] == 1) echo 'checked';?> /></td>
				</tr>
				<tr valign="top">
					<th scope="row">close on Click</th>
					<td><input type="checkbox" name="overlay_animation[closeonClick]" value="1" <?php if($animation_settings['closeonClick'] == 1) echo 'checked';?> /></td>
				</tr>
				<tr valign="top">
					<th scope="row">load by Site load</th>
					<td><input type="checkbox" name="overlay_animation[load]" value="1" <?php if($animation_settings['load'] == 1) echo 'checked';?> /></td>
				</tr>
				<tr valign="top">
					<th scope="row">fixed position</th>
					<td>
						<input type="checkbox" name="overlay_animation[fixed]" value="1" <?php if($animation_settings['fixed'] == 1) echo 'checked';?> />
						<p>
							whether overlay stays in the same position while the screen is scrolled. This is the default behaviour for all browsers except IE6 and below. IE6 does not support fixed positioning. If this property is set to false then the overlay is positioned in relationship to the document so that when the screen is scrolled then the overlay moves along with the document.
						</p>
					</td>
				</tr>
				<tr valign="top">
					<th scope="row">Speed</th>
					<td><input type="text" name="overlay_animation[speed]" value="<?php echo $animation_settings['speed'];?>" />
						<p>Options: slow, normal, fast or in milliseconds ex.: 2000 (=2sec)</p>
					</td>
				</tr>
				<tr valign="top">
					<th scope="row">Top</th>
					<td><input type="text" name="overlay_animation[top]" value="<?php echo $animation_settings['top'];?>" />
						<p>
							Specifies how far from the top edge of the screen the overlay should be placed. <br />Acceptable values are an integer number specifying a distance in pixels, a string (such as '15%') <br />specifying a percentage value or "center" in which case the overlay is vertically centered. Percentage values work consistently at different screen resolutions.
						</p>
					</td>
				</tr>				
			</tbody>
		</table>
		<h3>Special Settings</h3>
		<table class="form-table">
			<tbody>
				<tr valign="top">
					<th scope="row">Load External Page (<b>not in use!</b>)</th>
					<td><input type="text" name="overlay_external_page" /></td>
				</tr>
			</tbody>
		</table>
		<p class="submit">
			<input type="submit" name="overlay-settings-save" value="Save all">
		</p>
	</form>
</div>