<?php
/*
Plugin Name: Overlay
Plugin URI: http://www.fishme.de/overlay
Description: jQuery Tools - simple include the overlay (better as lightbox) install and activate!
Version: 0.9.1.1
Author: David Hohl
Author URI: http://www.fishme.de
*/

/*
external scripts:
	- Colorpicker from Stefan Petre www.eyecon.ro (Dual licensed under the MIT and GPL licenses)
*/


// set default options
add_option('overlay_theme', 'transparent');
add_option('overlay_width', '460px');
add_option('overlay_height', '350px');
add_option('overlay_image_auto_resize', 1);
add_option('overlay_external_page', '');
$default_overlay_js_settings = serialize(
	array(
		'closeonEsc'	=>	1,
		'closeonClick'	=>	1,
		'speed'			=>	'normal',
		'top'			=>	'15%',
		'fixed'			=>	1,
		'load'			=>	0,
		'mask_state'	=>	0,
		'mask_color'	=>	'#000000',
	));
add_option('overlay_default_animation', $default_overlay_js_settings);
add_option('overlay_animation', $default_overlay_js_settings);

function add_image_rel ($content) {
	global $post;
	$pattern        = "/(<img(?![^>]*?rel=['\"]overlay.*)[^>]*?src=['\"][^'\"]+?\.(?:bmp|gif|jpg|jpeg|png)['\"][^\>]*)>/i";
	$replacement    = '$1 rel="#overlay_'.$post->ID.'"';
	$content = preg_replace($pattern, $replacement, $content);
	
	return $content;
}

add_filter('the_content', 'add_image_rel', 99);
add_filter('the_excerpt', 'add_image_rel', 99);

function add_overlay_stylesheet() {
    $overlayStyleUrl = WP_PLUGIN_URL . '/overlay/styles/overlay.css';
    $overlayStyleFile = WP_PLUGIN_DIR . '/overlay/styles/overlay.css';
    if ( file_exists($overlayStyleFile) ) {
        wp_register_style('overlayStyleSheet', $overlayStyleUrl);
        wp_enqueue_style( 'overlayStyleSheet');
    }
}
function get_overlay_plugin_path() {
	return WP_PLUGIN_URL."/overlay/"; 
}

if (!is_admin()) { 
	// jquery?? what's up?
//	wp_enqueue_script('jquery'); 
	wp_enqueue_script('jquerytools', (get_overlay_plugin_path() . 'js/jquery.tools.min.js'));
	wp_enqueue_script('overlay', (get_overlay_plugin_path() . 'js/overlay.js'));
	add_action('wp_print_styles', 'add_overlay_stylesheet');
} else {
	/* Adminstration Part */
	$options_page = get_option('siteurl') . '/wp-admin/admin.php?page=overlay/options.php';
	/* Adds our admin options under "Options" */
	function overlay_options_page() {
		add_options_page('Overlay Options', 'Overlay', 10, 'overlay/options.php');
	}
	add_action('admin_menu', 'overlay_options_page');
	
	// add styles and scripts
	//	wp_enqueue_script('jquery'); 
//	wp_enqueue_script('myjquery', (get_overlay_plugin_path() . 'js/jquery.js'));
//	wp_enqueue_script('overlay_admin', (get_overlay_plugin_path() . 'js/overlay_admin.js'));
}
?>
